'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var types = _ref.types;

  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(nodePath, state) {
        var envs = state.opts.envMap || {
          production: 'prod',
          development: 'dev'
        };
        var defaultEnv = state.opts.defaultEnv || 'development';

        var envExt = envs[process.env.NODE_ENV || defaultEnv];

        if (typeof envExt === 'undefined') {
          return;
        }

        var node = nodePath.node;

        var importRelPath = node.source.value;

        var dirname = _path2.default.dirname(state.file.opts.filename);
        var importedFilename = _path2.default.normalize(dirname + '/' + importRelPath);
        var importedExtname = _path2.default.extname(importedFilename);

        var envDirname = _path2.default.dirname(importedFilename);
        var envExtname = importedExtname || '.js';
        var envBasename = _path2.default.basename(importedFilename, envExtname);

        var envFilename = envDirname + '/' + envBasename + '.' + envExt + envExtname;

        try {
          _fs2.default.accessSync(envFilename);
        } catch (err) {
          return;
        }

        var newImportDirname = _path2.default.dirname(importRelPath);
        var newImportBasename = _path2.default.basename(importRelPath, importedExtname);
        var newImportFilename = newImportDirname + '/' + newImportBasename + '.' + envExt + importedExtname;

        node.source = types.stringLiteral(newImportFilename);
      }
    }
  };
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;